Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon
Class IdentityTransformerHandler

    java.lang.Object
      net.sf.saxon.event.ReceivingContentHandler
          net.sf.saxon.IdentityTransformerHandler

All Implemented Interfaces:
  TransformerHandler, SourceLocator, LocationProvider, SaxonLocator, SourceLocationProvider, ContentHandler, DTDHandler, LexicalHandler, Locator

    public class IdentityTransformerHandler

extends ReceivingContentHandler
implements TransformerHandler

IdentityTransformerHandler implements the javax.xml.transform.sax.TransformerHandler interface. It acts as a ContentHandler and LexicalHandler which receives a stream of SAX events representing an input document, and performs an identity transformation passing these events to a Result

Author:
  Michael H. Kay

Method Summary
`Result` | `getResult()` Get the output destination of the transformation
`String` | `getSystemId()` Get the systemId of the document
`Transformer` | `getTransformer()` Get the Transformer used for this transformation
`void` | `setResult(Result result)` Set the output destination of the transformation
`void` | `setSystemId(String url)` Set the SystemId of the document
`void` | `startDocument()` Override the behaviour of startDocument() in ReceivingContentHandler

Methods inherited from class net.sf.saxon.event.ReceivingContentHandler
`characters, comment, endCDATA, endDocument, endDTD, endElement, endEntity, endPrefixMapping, getColumnNumber, getConfiguration, getLineNumber, getLineNumber, getPipelineConfiguration, getPublicId, getSystemId, ignorableWhitespace, isIgnoringIgnorableWhitespace, notationDecl, processingInstruction, reset, setDocumentLocator, setIgnoreIgnorableWhitespace, setPipelineConfiguration, setReceiver, skippedEntity, startCDATA, startDTD, startElement, startEntity, startPrefixMapping, unparsedEntityDecl`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startElement, startPrefixMapping`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Methods inherited from interface org.xml.sax.DTDHandler
`notationDecl, unparsedEntityDecl`

Method Detail

### getTransformer

    public Transformer getTransformer()

  Get the Transformer used for this transformation

  Specified by:
    `getTransformer` in interface `TransformerHandler`

### setSystemId

    public void setSystemId(String url)

  Set the SystemId of the document

  Specified by:
    `setSystemId` in interface `TransformerHandler`

### getSystemId

    public String getSystemId()

  Get the systemId of the document

  Specified by:
    `getSystemId` in interface `TransformerHandler`
  Specified by:
    `getSystemId` in interface `SourceLocator`
  Specified by:
    `getSystemId` in interface `Locator`
  Overrides:
    `getSystemId` in class `ReceivingContentHandler`
  Returns:
    A string containing the system identifier, or null if none is available.

### setResult

    public void setResult(Result result)

  Set the output destination of the transformation

  Specified by:
    `setResult` in interface `TransformerHandler`

### getResult

    public Result getResult()

  Get the output destination of the transformation

### startDocument

    public void startDocument()
                       throws SAXException

  Override the behaviour of startDocument() in ReceivingContentHandler

  Specified by:
    `startDocument` in interface `ContentHandler`
  Overrides:
    `startDocument` in class `ReceivingContentHandler`
  Throws:
    `SAXException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.